package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.task;

import info.aspirecn.rdc.iov.sjjh.servicenode.supplier.service.TrafficRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
@Slf4j
public class TrafficRecordTokenTask {
    @Autowired
    TrafficRecordService trafficRecordService;

    @Scheduled(cron = "0 0 0/1 * * ?")
    public void tokenTask() {
        trafficRecordService.queryToken();
    }
}
